#!/usr/bin/make -rf

ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
CONFIGURE_FLAGS += \
	-Donnxruntime_BUILD_UNIT_TESTS=OFF
endif

%:
	dh $@ --buildsystem=cmake+ninja --sourcedirectory=cmake --without=single-binary

override_dh_auto_configure:
	dh_auto_configure -- \
		-Donnxruntime_BUILD_SHARED_LIB=ON \
		-Donnxruntime_PREFER_SYSTEM_LIB=ON \
		-Donnxruntime_USE_CUDA=ON \
		-Donnxruntime_USE_TENSORRT=ON \
		$(CONFIGURE_FLAGS)
